package com.th.demo.mapping.system;

import com.th.demo.model.system.SysUser;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;
import java.util.Map;


public interface SysUserMapper {
    int deleteByPrimaryKey(String id);

    int insert(SysUser record);

    int insertSelective(SysUser record);

    SysUser selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(SysUser record);

    int updateByPrimaryKey(SysUser record);


    List<SysUser> selectAll();

    List<SysUser> selectUser(String userName, String userDesc);

    List<SysUser> select(String userDesc,String belongId);

    SysUser selectUserByLogin(String userName);

    List<SysUser> selectByDeptPost(Map<String, Integer[]> map);

    List<SysUser> selectPassWord(String userId);

    List<SysUser> selectByDept(String deptId);

    SysUser selectByUserName(String assignee);

    List<SysUser> selectByAdmin(String userDesc);
    List<SysUser> selectListByUserName(String username);
}